package com.kingdee.eas.custom.projectbonus;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class BonusCycleBusDepProjectAssPersonnelDetailCollection extends AbstractObjectCollection 
{
    public BonusCycleBusDepProjectAssPersonnelDetailCollection()
    {
        super(BonusCycleBusDepProjectAssPersonnelDetailInfo.class);
    }
    public boolean add(BonusCycleBusDepProjectAssPersonnelDetailInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(BonusCycleBusDepProjectAssPersonnelDetailCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(BonusCycleBusDepProjectAssPersonnelDetailInfo item)
    {
        return removeObject(item);
    }
    public BonusCycleBusDepProjectAssPersonnelDetailInfo get(int index)
    {
        return(BonusCycleBusDepProjectAssPersonnelDetailInfo)getObject(index);
    }
    public BonusCycleBusDepProjectAssPersonnelDetailInfo get(Object key)
    {
        return(BonusCycleBusDepProjectAssPersonnelDetailInfo)getObject(key);
    }
    public void set(int index, BonusCycleBusDepProjectAssPersonnelDetailInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(BonusCycleBusDepProjectAssPersonnelDetailInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(BonusCycleBusDepProjectAssPersonnelDetailInfo item)
    {
        return super.indexOf(item);
    }
}